OpenCV: cv::AlignMTB Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::AlignMTB Class Referenceabstract
Computational Photography » HDR imaging

This algorithm converts images to median threshold bitmaps (1 for pixels brighter than median luminance and 0 otherwise) and than aligns the resulting bitmaps using bit operations. More...

`#include "photo.hpp"`

Inheritance diagram for cv::AlignMTB:

## Public Member Functions
virtual Point | calculateShift (InputArray img0, InputArray img1)=0
| Calculates shift between two images, i. e. how to shift the second image to correspond it with the first. More...
virtual void | computeBitmaps (InputArray img, OutputArray tb, OutputArray eb)=0
| Computes median threshold and exclude bitmaps of given image. More...
virtual bool | getCut () const =0
virtual int | getExcludeRange () const =0
virtual int | getMaxBits () const =0
virtual void | process (InputArrayOfArrays src, std::vector< Mat > &dst, InputArray times, InputArray response) CV_OVERRIDE=0
| Aligns images. More...
virtual void | process (InputArrayOfArrays src, std::vector< Mat > &dst)=0
| Short version of process, that doesn't take extra arguments. More...
virtual void | setCut (bool value)=0
virtual void | setExcludeRange (int exclude_range)=0
virtual void | setMaxBits (int max_bits)=0
virtual void | shiftMat (InputArray src, OutputArray dst, const Point shift)=0
| Helper function, that shift Mat filling new regions with zeros. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

This algorithm converts images to median threshold bitmaps (1 for pixels brighter than median luminance and 0 otherwise) and than aligns the resulting bitmaps using bit operations.

It is invariant to exposure, so exposure values and camera response are not necessary.

In this implementation new image regions are filled with zeros.

For more information see [GW03] .

## Member Function Documentation

## ◆ calculateShift()

virtual Point cv::AlignMTB::calculateShift | ( | InputArray | img0,
|  | InputArray | img1
| ) |  |
| pure virtual

Calculates shift between two images, i. e. how to shift the second image to correspond it with the first.

Parameters

  img0 | first image
  img1 | second image

## ◆ computeBitmaps()

virtual void cv::AlignMTB::computeBitmaps | ( | InputArray | img,
|  | OutputArray | tb,
|  | OutputArray | eb
| ) |  |
| pure virtual

Computes median threshold and exclude bitmaps of given image.

Parameters

  img | input image
  tb | median threshold bitmap
  eb | exclude bitmap

## ◆ getCut()

virtual bool cv::AlignMTB::getCut | ( |  | ) | const
| pure virtual

## ◆ getExcludeRange()

virtual int cv::AlignMTB::getExcludeRange | ( |  | ) | const
| pure virtual

## ◆ getMaxBits()

virtual int cv::AlignMTB::getMaxBits | ( |  | ) | const
| pure virtual

## ◆ process() [1/2]

virtual void cv::AlignMTB::process | ( | InputArrayOfArrays | src,
|  | std::vector< Mat > & | dst,
|  | InputArray | times,
|  | InputArray | response
| ) |  |
| pure virtual

Aligns images.

Parameters

  src | vector of input images
  dst | vector of aligned images
  times | vector of exposure time values for each image
  response | 256x1 matrix with inverse camera response function for each pixel value, it should have the same number of channels as images.

Implements cv::AlignExposures.

## ◆ process() [2/2]

virtual void cv::AlignMTB::process | ( | InputArrayOfArrays | src,
|  | std::vector< Mat > & | dst
| ) |  |
| pure virtual

Short version of process, that doesn't take extra arguments.

Parameters

  src | vector of input images
  dst | vector of aligned images

## ◆ setCut()

virtual void cv::AlignMTB::setCut | ( | bool | value | ) |
| pure virtual

## ◆ setExcludeRange()

virtual void cv::AlignMTB::setExcludeRange | ( | int | exclude_range | ) |
| pure virtual

## ◆ setMaxBits()

virtual void cv::AlignMTB::setMaxBits | ( | int | max_bits | ) |
| pure virtual

## ◆ shiftMat()

virtual void cv::AlignMTB::shiftMat | ( | InputArray | src,
|  | OutputArray | dst,
|  | const Point | shift
| ) |  |
| pure virtual

Helper function, that shift Mat filling new regions with zeros.

Parameters

  src | input image
  dst | result image
  shift | shift value

The documentation for this class was generated from the following file:

- photo/include/opencv2/photo.hpp